CxfComponentExceptionStrategy (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.cxf.CxfComponentExceptionStrategy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.cxf
Class CxfComponentExceptionStrategy

    java.lang.Object
      org.mule.AbstractExceptionListener
          org.mule.DefaultExceptionStrategy
              org.mule.service.DefaultServiceExceptionStrategy
                  org.mule.transport.cxf.CxfComponentExceptionStrategy

All Implemented Interfaces:
  ExceptionListener, MuleContextAware, Disposable, Initialisable

    public class CxfComponentExceptionStrategy

extends DefaultServiceExceptionStrategy

This exception strategy forces the exception thrown from a web service invocation to be passed as-is, not wrapped in a Mule exception object. This ensures the XFire serialiser/deserialiser can send the correct exception object to the client.

Field Summary

Fields inherited from class org.mule.AbstractExceptionListener
`commitTxFilter, enableNotifications, endpoints, initialised, logger, muleContext, rollbackTxFilter`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`CxfComponentExceptionStrategy()`

Method Summary
`protected void` | `defaultHandler(Throwable t)`

Methods inherited from class org.mule.service.DefaultServiceExceptionStrategy
`getServiceStatistics, logFatal, routeException`

Methods inherited from class org.mule.DefaultExceptionStrategy
`handleLifecycleException, handleMessagingException, handleRoutingException, handleStandardException, messageFromContextIfAvailable`

Methods inherited from class org.mule.AbstractExceptionListener
`addEndpoint, closeStream, dispose, doInitialise, exceptionThrown, fireNotification, getCommitTxFilter, getEndpoints, getEndpoints, getErrorMessagePayload, getExceptionType, getRollbackTxFilter, handleTransaction, initialise, isEnableNotifications, isInitialised, logException, removeEndpoint, rollbackTransaction, setCommitTxFilter, setEnableNotifications, setEndpoints, setMuleContext, setRollbackTxFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CxfComponentExceptionStrategy

    public CxfComponentExceptionStrategy()

Method Detail

### defaultHandler

    protected void defaultHandler(Throwable t)

  Overrides:
    `defaultHandler` in class `DefaultServiceExceptionStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.